Subject: Re: bug#47479: inkscape retains a reference to imagemagick, even though it is in native-inputs

From: Mark H Weaver <[email-masked]>
Date: Mon, 29 Mar 2021 17:16:01 -0400

Hi Maxime,

Maxime Devos <[email-masked]> writes:

> On
> $ guix --version
>> guix (GNU Guix) 510e24f973a918391d8122fd6ad515c0567bf23e
>
> with
> $ guix graph --type=references inkscape
>
> it can be seen inkscape retains the reference to imagemagick,
> even though imagemagick is in native-inputs.

I believe this is incorrect.  On my Guix system, I see this:

--8<---------------cut here---------------start------------->8---
mhw@jojen ~$ guix package -I inkscape
inkscape	0.92.4	out	/gnu/store/rx26f9xn14fng2gnzsigr74492lrkydl-inkscape-0.92.4
mhw@jojen ~$ guix gc -R /gnu/store/rx26f9xn14fng2gnzsigr74492lrkydl-inkscape-0.92.4 | grep -i imagemagick
--8<---------------cut here---------------end--------------->8---

I guess that "guix graph --type=references" is not a reliable indicator
of what we need to check for.

FYI, this is what I do to check that my system and user profile do not
have references to imagemagick:

--8<---------------cut here---------------start------------->8---
mhw@jojen ~$ guix gc -R $(readlink /run/current-system) | grep -i imagemagick
mhw@jojen ~$ guix gc -R $(readlink -f ~/.guix-profile) | grep -i imagemagick
--8<---------------cut here---------------end--------------->8---

    Regards,
      Mark